package Servlet;

import Datos.CodClubDB;
import Datos.EquipoDB;
import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import Datos.UsuarioDB;
import Datos.MiembrosClubDB;
import Modelo.CodClub;
import Modelo.Equipo;
import Modelo.Usuario;
import java.util.ArrayList;
import org.apache.commons.codec.digest.DigestUtils;

public class LoginServlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String encoding = request.getCharacterEncoding();
        if (encoding == null) {
            request.setCharacterEncoding("UTF-8");
        }
        String correo = request.getParameter("correo");
        String contraseña = DigestUtils.md5Hex(request.getParameter("contraseña"));

        String url = "";
        if (UsuarioDB.credencialesCorrectas(correo, contraseña)) {
            Usuario usuario = UsuarioDB.getUsuario(correo);
            HttpSession sesion = request.getSession();
            sesion.setAttribute("usuario", usuario);
            if(usuario.getTipo_usuario().equals("A")){
                CodClub club = MiembrosClubDB.getClubAdministrador(usuario);
                sesion.setAttribute("club",club);
                url = "/principal";
            } else if (usuario.getTipo_usuario().equals("EC")){
                ArrayList <CodClub> lista_clubs = CodClubDB.getClubsUusario(usuario);
                request.setAttribute("lista_clubs", lista_clubs);
                url = "/login2.jsp";
            } else if (usuario.getTipo_usuario().equals("E")){
                ArrayList <Equipo> lista_equipos = EquipoDB.getEquiposEntrenadorSinClub(usuario);
                request.setAttribute("lista_equipos",lista_equipos);
                if(lista_equipos.size()>0){
                    url = "/login2.jsp";
                }else{
                    url = "/principal";
                }
            }
        } else {
            HttpSession sesion = request.getSession();
            sesion.setAttribute("message", "Los datos introducidos son erroneos.");
            url = "/index.jsp";
        }
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }
}
